import { Grid, GridCol } from "@treejs/components/Grid";
import Image from "next/image";
import { FC } from "react";
import MyTitle from "../components/MyTitle";

const AboutMe: FC = () => {
	const age = Math.floor(
		((new Date() as any) - (new Date("1993-07-11") as any)) / 31557600000
	);

	const work = Math.floor(
		((new Date() as any) - (new Date("2012-12-01") as any)) / 31557600000
	);

	return (
		<Grid cols={6} className="mt-28">
			<GridCol colSpan={1} className="text-center">
				<Image
					src="/me.svg"
					alt="me"
					width={200}
					height={200}
					objectFit="contain"
				/>
			</GridCol>
			<GridCol colSpan={5} className="ml-10">
				<MyTitle left="Dobrý" right="Den" />
				<div className="mt-10">
					Jmenuji se <b>Roman Jaroš</b>.
				</div>
				<div className="mt-5">
					<p>
						Je mi <b>{age} let</b> a již <b>{work} let</b> se profesionálně
						věnuji vývoji a správě webových aplikací ☺️ .
					</p>
					<p>Od roku 2020 pracuji pouze na IČO.</p>
				</div>
			</GridCol>
		</Grid>
	);
};

export default AboutMe;
