import { Grid, GridCol } from "@treejs/components/Grid";
import Image from "next/image";
import { FC } from "react";
import MyTitle from "./MyTitle";

const Contact: FC = () => {
	const age = Math.floor(
		((new Date() as any) - (new Date("1993-07-11") as any)) / 31557600000
	);

	const work = Math.floor(
		((new Date() as any) - (new Date("2012-12-01") as any)) / 31557600000
	);

	return (
		<Grid cols={6} className="mt-28">
			<GridCol colSpan={1} className="text-center">
				<Image
					src="/contact.svg"
					alt="contact"
					width={200}
					height={200}
					objectFit="contain"
				/>
			</GridCol>
			<GridCol colSpan={5} className="ml-10">
				<MyTitle left="Můj" right="Kontakt" />
				<div className="mt-10">
					<p className="mb-2">
						Obchodní nabídky prosím zasílejte{" "}
						<a href="mailto:sales@romanjaros.dev">sem</a>.
					</p>
					<p className="mb-2">
						Jiné dotazy prosím <a href="mailto:info@romanjaros.dev">sem</a>.
					</p>
					<p className="mt-4">
						<p>
							<a
								target="_blank"
								href="http://linkedin.com/in/roman-jaroš-16a687139"
								rel="noreferrer"
							>
								LinkedIn
							</a>
						</p>
						<p>
							<a
								target="_blank"
								href="https://git.romanjaros.dev"
								rel="noreferrer"
							>
								Gitea (Git)
							</a>
						</p>
					</p>

					<p className="mt-10">
						Pokud potřebujete zadat tiket na podporu, použijte prosím{" "}
						<a
							target="_blank"
							href="https://helpdesk.romanjaros.dev/index.php?a=add"
							rel="noreferrer"
						>
							tento formulář
						</a>
						.
					</p>
				</div>
			</GridCol>
		</Grid>
	);
};

export default Contact;
