import "../styles/globals.css";

import type { AppProps } from "next/app";
import { useRouter } from "next/router";

import Skeleton from "@treejs/components/Skeleton";
import store from "../redux/store";
import { Provider } from "react-redux";

function PortolioApp({ Component, pageProps }: AppProps) {
	const router = useRouter();

	return (
		<Provider store={store}>
			<Skeleton
				history={router}
				menuItems={{}}
				enabledMenu={{
					sidebar: false,
					user: false,
				}}
				components={{
					footer: (
						<div className="bg-slate-300 p-2 text-center">
							IČO 08738734 | DIČ CZ9307111946 | Jsem plátce DPH. Fyzická osoba
							zapsaná v živnostenském rejstříku v Karlových Varech (CZ0412) od
							02.12.2019. Tento web nepoužívá cookies.
						</div>
					),
				}}
			>
				<Component {...pageProps} />
			</Skeleton>
		</Provider>
	);
}

export default PortolioApp;
